org.eclipse.viatra.transformation.runtime.emf.changemonitor

## Class ChangeDelta

- java.lang.Object
- - org.eclipse.viatra.transformation.runtime.emf.changemonitor.ChangeDelta

-     public class ChangeDelta
      extends java.lang.Object

  Class representing the changes in a given instance model since the last checkpoint. It is implemented as a set of `QueryResultChangeDelta` instances that store deltas grouped by `IQuerySpecification` instances.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChangeDelta(java.util.Map<IQuerySpecification<?>,QueryResultChangeDelta> delta)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.util.Set<? extends IPatternMatch>` | `getAllAppeared()` Returns a set of matches added to the selected change delta for all query specifications
    `java.util.Set<? extends IPatternMatch>` | `getAllDisappeared()` Returns a set of matches disappeared in the selected change delta for all query specifications
    `java.util.Set<? extends IPatternMatch>` | `getAllUpdated()` Returns a set of matches updated in the selected change delta for all query specifications
    `java.util.Set<? extends IPatternMatch>` | `getAppeared(IQuerySpecification<?> specification)` Returns a set of matches added in the selected change delta for the given query specification
    `java.util.Set<IQuerySpecification<?>>` | `getChangedQuerySpecifications()` Return a list of query specifications that have corresponding changes.
    `java.util.Set<? extends IPatternMatch>` | `getDisappeared(IQuerySpecification<?> specification)` Returns a set of matches disappeared in the selected change delta for the given query specification
    `java.util.Set<? extends IPatternMatch>` | `getUpdated(IQuerySpecification<?> specification)` Returns a set of matches updated in the selected change delta for the given query specification
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ChangeDelta

          public ChangeDelta(java.util.Map<IQuerySpecification<?>,QueryResultChangeDelta> delta)

      Since:
        2.0

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getChangedQuerySpecifications

          public java.util.Set<IQuerySpecification<?>> getChangedQuerySpecifications()

      Return a list of query specifications that have corresponding changes.
      Since:
        2.0

    - #### getAppeared

          public java.util.Set<? extends IPatternMatch> getAppeared(IQuerySpecification<?> specification)

      Returns a set of matches added in the selected change delta for the given query specification
      Since:
        2.0

    - #### getAllAppeared

          public java.util.Set<? extends IPatternMatch> getAllAppeared()

      Returns a set of matches added to the selected change delta for all query specifications
      Since:
        2.0

    - #### getUpdated

          public java.util.Set<? extends IPatternMatch> getUpdated(IQuerySpecification<?> specification)

      Returns a set of matches updated in the selected change delta for the given query specification
      Since:
        2.0

    - #### getAllUpdated

          public java.util.Set<? extends IPatternMatch> getAllUpdated()

      Returns a set of matches updated in the selected change delta for all query specifications
      Since:
        2.0

    - #### getDisappeared

          public java.util.Set<? extends IPatternMatch> getDisappeared(IQuerySpecification<?> specification)

      Returns a set of matches disappeared in the selected change delta for the given query specification
      Since:
        2.0

    - #### getAllDisappeared

          public java.util.Set<? extends IPatternMatch> getAllDisappeared()

      Returns a set of matches disappeared in the selected change delta for all query specifications
      Since:
        2.0